#ifndef __SERVER_H__
#define __SERVER_H__

#include <unistd.h>
#include <stdio.h>
#include <sys/types.h>

typedef struct Server Server;

Server * Server_new(const char *name, const char * address, int port, const char *controlStopServer, int maxMsgSize, int maxAccConnAtTime);
void Server_free(Server **_this);

pid_t Server_start(Server *_this, char * (*parsingFnc)(void *, char *), void *parsingFncFirstPar, FILE *stream);

void Server_client(Server *_this);
int Server_send(Server *_this, char *msg);
int Server_receive(Server *_this, char *msg);

#endif
