#ifndef __BasicTypeCache_h__
#define __BasicTypeCache_h__

#include <BasicTypeValue.h>

typedef struct BasicTypeCache BasicTypeCache;

BasicTypeCache* BasicTypeCache_new(size_t keyLength, int capacity, int capIncrement);
void BasicTypeCache_free(BasicTypeCache** thisP);
BasicTypeValue* BasicTypeCache_get(const BasicTypeCache* const _this, void* key);

void BasicTypeCache_put(BasicTypeCache* const _this, void* key, BasicType type, void* value_p);
void BasicTypeCache_clear(BasicTypeCache* const _this);


#endif
