#include <Process.h>

#include <stdio.h>
#include <stdlib.h>

int main(int argc, char **argv)
{
    Process *myProcess = Process_new("ls .");
    
    Process_dump(myProcess, stdout);
    
    printf("Command is using %ld bytes of RAM\n", Process_RAM_Usage(myProcess));

    Process_dump_Time_RAM_Usage(myProcess, "After few instructions", stdout);

    char *buf = (char *) calloc(1024, sizeof(char));
    int bytesRead = Process_read(myProcess, buf);
    printf("Read %d bytes with the following output:\n%s\n", bytesRead, buf);
    
    Process_dispose(&myProcess);
    
    return 0;
}
