#include <stdio.h>
#include <stdlib.h>

#include <Properties.h>

int main(int argc, char** args) {	
	if (argc < 2) {
		fprintf(stderr, "Syntax: %s <property file name>\n", args[0]);
		return -1;
	}
	
	fprintf(stderr, "\nStart reading file...\n");	
	Properties* p = Properties_newFromFile(args[1], 20, 50);	
	fprintf(stderr, "\nFile read.\n");	
	
	fprintf(stderr, "\nProperties read:\n");	
	Properties_fprint(p, stderr);	
	Properties_free(&p);
	fprintf(stderr, "\nDone.\n");
	return 0;
}
